> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get sell options

> The Sell Options API provides clients with a way to discover the available options for selling Crypto with Coinbase Offramp. It returns the supported fiat deposit currencies and available crypto assets that can be passed into the Sell Quote API. Clients should call this API periodically for each country they support and cache the response.



## OpenAPI

````yaml GET /v1/sell/options
openapi: 3.0.3
info:
  title: OnrampUnauthService API
  version: v1
servers:
  - url: https://api.developer.coinbase.com/onramp
security:
  - bearerAuth: []
tags:
  - name: Onramp/Offramp
paths:
  /v1/sell/options:
    get:
      tags:
        - Onramp/Offramp
      summary: Get sell options
      description: >-
        The Sell Options API provides clients with a way to discover the
        available options for selling Crypto with Coinbase Offramp. It returns
        the supported fiat deposit currencies and available crypto assets that
        can be passed into the Sell Quote API. Clients should call this API
        periodically for each country they support and cache the response.
      operationId: OnrampOfframp_GetSellOptions
      parameters:
        - description: The ISO 3166-1 two letter country code e.g. `US`
          in: query
          name: country
          schema:
            type: string
          required: true
        - description: >-
            The ISO 3166-2 two letter state code e.g. `NY`, only required for
            `US`
          in: query
          name: subdivision
          schema:
            type: string
        - description: >-
            Comma-separated list of network names (e.g. `ethereum,polygon`),
            available network names are returned in each crypto currency
          in: query
          name: networks
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSellOptionsResponse'
          description: OK
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Status'
          description: Default error response
components:
  schemas:
    GetSellOptionsResponse:
      description: >-
        List of crypto assets available to sell, and fiat currencies that can be
        cashed out to
      properties:
        cashout_currencies:
          description: List of fiat currencies that can be cashed out to
          items:
            $ref: '#/components/schemas/FiatCurrency'
          type: array
        sell_currencies:
          description: List of crypto currencies that can be sold
          items:
            $ref: '#/components/schemas/PublicAsset'
          type: array
      type: object
    Status:
      description: >-
        The `Status` type defines a logical error model that is suitable for
        different programming environments, including REST APIs and RPC APIs. It
        is used by [gRPC](https://github.com/grpc). Each `Status` message
        contains three pieces of data: error code, error message, and error
        details. You can find out more about this error model and how to work
        with it in the [API Design
        Guide](https://cloud.google.com/apis/design/errors).
      properties:
        code:
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          format: int32
          type: integer
        details:
          description: >-
            A list of messages that carry the error details.  There is a common
            set of message types for APIs to use.
          items:
            $ref: '#/components/schemas/GoogleProtobufAny'
          type: array
        message:
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
          type: string
      type: object
    FiatCurrency:
      description: Fiat currency and it's limits for each supported payment method
      properties:
        id:
          description: The fiat currency ID e.g. `USD`
          type: string
        limits:
          description: >-
            List of payment methods available for the currency, and their
            associated limits
          items:
            $ref: '#/components/schemas/PaymentMethodLimit'
          type: array
      type: object
    PublicAsset:
      description: Asset metadata to be shared over external public APIs
      properties:
        icon_url:
          type: string
        id:
          type: string
        name:
          type: string
        networks:
          items:
            $ref: '#/components/schemas/PublicNetwork'
          type: array
        symbol:
          type: string
      type: object
    GoogleProtobufAny:
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
      properties:
        '@type':
          description: The type of the serialized message.
          type: string
      type: object
    PaymentMethodLimit:
      description: Min and max purchase limits for a payment method type
      properties:
        id:
          description: The Payment method type
          enum:
            - UNSPECIFIED
            - CARD
            - ACH_BANK_ACCOUNT
            - APPLE_PAY
            - FIAT_WALLET
            - CRYPTO_ACCOUNT
            - GUEST_CHECKOUT_CARD
            - PAYPAL
            - RTP
            - GUEST_CHECKOUT_APPLE_PAY
          format: enum
          type: string
        max:
          description: Max transaction amount e.g. `7500.00`
          type: string
        min:
          description: Min transaction amount e.g. `5.00`
          type: string
      type: object
    PublicNetwork:
      description: Network metadata to be shared over external public APIs
      properties:
        chain_id:
          format: uint64
          type: integer
        contract_address:
          type: string
        display_name:
          type: string
        name:
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: >-
        Enter your JSON Web Token (JWT) here. Refer to the [Generate
        JWT](/api-reference/authentication#2-generate-jwt-server-only) section
        of our Authentication docs for information on how to generate your
        Bearer Token.
      scheme: bearer
      type: http

````